// From the software distribution accompanying the textbook
// "A Practical Introduction to Data Structures and Algorithm Analysis,
// Third Edition" by Clifford A. Shaffer, Prentice Hall, 2007.
// Source code Copyright (C) 2006 by Clifford A. Shaffer.

// Test program for the dictionary class implemented using an
// unsorted array-based list

#include <iostream>
using namespace std;

#include "book.h"

// Include comparator functions
#include "compare.h"

// Use an array-based list implementation
#include "alist.ht"

#include "UALdict.ht"

#include "DictTest.h"
	
// Driver for testing unsorted array-based dictionary
int main(int argc, char** argv) {
  UALdict<int, Int, intintCompare, getIntKey> dict;

  dicttest(dict);

  return 0;
}
